org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ChromiumLineBreakpoint

- java.lang.Object
- - LineBreakpoint
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.ChromiumLineBreakpoint

    public class ChromiumLineBreakpoint
    extends LineBreakpoint

JavaScript line breakpoint.

### Nested Class Summary

Nested Classes
`static class` `ChromiumLineBreakpoint.BreakpointIgnoreList`
`static class` `ChromiumLineBreakpoint.Helper` A helper that propagates changes in Eclipse Debugger breakpoints (i.e.
`static class` `ChromiumLineBreakpoint.MutableProperty`

### Constructor Summary

Constructors
Constructor and Description
`ChromiumLineBreakpoint()` Default constructor is required for the breakpoint manager to re-create persisted breakpoints.
`ChromiumLineBreakpoint(IResource resource, int lineNumber, java.lang.String modelId)` Constructs a line breakpoint on the given resource at the given line number (line number is 1-based).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Set<ChromiumLineBreakpoint.MutableProperty>` `getChangedProperty(IMarkerDelta delta)` Returns set of properties that have changed comparing to the state saved in delta parameter.
`java.lang.String` `getCondition()`
`int` `getEffectiveIgnoreCount()`
`IgnoreCountData` `getIgnoreCountData()`
`static ChromiumLineBreakpoint.BreakpointIgnoreList` `getIgnoreList()`
`java.lang.String` `getModelIdentifier()`
`boolean` `isEnabled()`
`void` `setCondition(java.lang.String condition)`
`void` `setIgnoreCountData(IgnoreCountData data)`
`void` `silentlyResetIgnoreCount()` Resets ignore count so that it's effective value becomes `Breakpoint.EMPTY_VALUE`, but the change does not cause update back to remote VM.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumLineBreakpoint

    public ChromiumLineBreakpoint()

Default constructor is required for the breakpoint manager to re-create persisted breakpoints. After instantiating a breakpoint, the setMarker method is called to restore this breakpoint's attributes.

#### ChromiumLineBreakpoint

    public ChromiumLineBreakpoint(IResource resource,
                                  int lineNumber,
                                  java.lang.String modelId)
                           throws CoreException

Constructs a line breakpoint on the given resource at the given line number (line number is 1-based).

Parameters:
  `resource` - file on which to set the breakpoint
  `lineNumber` - 1-based line number of the breakpoint
Throws:
  `CoreException` - if unable to create the breakpoint

### Method Detail

#### isEnabled

    public boolean isEnabled()

#### setCondition

    public void setCondition(java.lang.String condition)
                      throws CoreException

Throws:
  `CoreException`

#### getCondition

    public java.lang.String getCondition()

#### getModelIdentifier

    public java.lang.String getModelIdentifier()

#### getIgnoreCountData

    public IgnoreCountData getIgnoreCountData()

#### setIgnoreCountData

    public void setIgnoreCountData(IgnoreCountData data)
                            throws CoreException

Throws:
  `CoreException`

#### getEffectiveIgnoreCount

    public int getEffectiveIgnoreCount()

Returns:
  ignore count number or `Breakpoint.EMPTY_VALUE` based on state

#### silentlyResetIgnoreCount

    public void silentlyResetIgnoreCount()
                                  throws CoreException

Resets ignore count so that it's effective value becomes `Breakpoint.EMPTY_VALUE`, but the change does not cause update back to remote VM.

Throws:
  `CoreException`

#### getChangedProperty

    public java.util.Set<ChromiumLineBreakpoint.MutableProperty> getChangedProperty(IMarkerDelta delta)

Returns set of properties that have changed comparing to the state saved in delta parameter. Doesn't enumerate properties that were changed 'silently' (see `silentlyResetIgnoreCount()`).

#### getIgnoreList

    public static ChromiumLineBreakpoint.BreakpointIgnoreList getIgnoreList()